data:extend(
{
	----------------------------------------------------------------------------------
	{
		type = "assembling-machine",
		name = "mind-controller",
		icon = "__Megamind__/graphics/mind-controller-icon.png",
		order = "y",
		flags = {"placeable-neutral", "placeable-player", "player-creation"},
		minable = {hardness = 0.2, mining_time = 0.5, result = "mind-controller"},
		max_health = 200,
		corpse = "big-remnants",
		dying_explosion = "",
		collision_box = {{-0.9, -0.9}, {0.9, 0.9}},
		selection_box = {{-1, -1}, {1, 1}},
		resistances =
		{
			{
				type = "fire",
				percent = 70
			}
		},
		fluid_boxes = {},
		animation =
		{
			filename = "__Megamind__/graphics/mind-controller.png",
			priority = "high",
			width = 98,
			height = 130,
			line_length = 1,
			frame_count = 1,
			shift = {0,-0.5},
			animation_speed = 1/20
		},
		open_sound = { filename = "__base__/sound/machine-open.ogg", volume = 0.85 },
		close_sound = { filename = "__base__/sound/machine-close.ogg", volume = 0.75 },
		vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },
		working_sound =
		{
			sound = 
			{
				{
					filename = "__base__/sound/assembling-machine-t2-1.ogg",
					volume = 0.8
				},
				{
					filename = "__base__/sound/assembling-machine-t2-2.ogg",
					volume = 0.8
				},
			},
			idle_sound = 
			{
				filename = "__base__/sound/idle1.ogg", volume = 0.6 
			},
			apparent_volume = 1.5,
		},
		crafting_categories = {"mind-controller-products"},
		crafting_speed = 1.0,
		energy_source =
		{
			type = "electric",
			usage_priority = "secondary-input",
			emissions = injector_polution,
			drain = "25kW",
		},
		energy_usage = (mind_controller_energy / mind_controller_time) .. "kW",
		ingredient_count = 2,
		module_specification =
		{
			module_slots = 2
		},
		fixed_recipe = "mind-controller-charge",
		allowed_effects = {"consumption", "speed", "productivity", "pollution"},
	},



}
)
	

invisible = dupli_proto( "assembling-machine", "mind-controller", "mind-controller-invisible", false )
charging = dupli_proto( "assembling-machine", "mind-controller", "mind-controller-charging", false )
scanning = dupli_proto( "assembling-machine", "mind-controller", "mind-controller-scanning", false )
emitting = dupli_proto( "assembling-machine", "mind-controller", "mind-controller-emitting", false )

invisible.animation =
{
	filename = "__Megamind__/graphics/empty.png",
	priority = "high",
	width = 0,
	height = 0,
	line_length = 1,
	frame_count = 1,
	shift = {0,-0.5},
	animation_speed = 1/30
}

charging.animation =
{
	filename = "__Megamind__/graphics/mind-controller-charging-animation.png",
	priority = "high",
	width = 98,
	height = 130,
	line_length = 2,
	frame_count = 2,
	shift = {0,-0.5},
	animation_speed = 1/20
}

charging.energy_source.drain = "0.01kW"
charging.energy_usage = "0.01kW"
charging.fixed_recipe = "mind-controller-hidden"
charging.flags = {"placeable-neutral"}
charging.collision_box = {{0,0}, {0,0}}
charging.selection_box = {{0,0}, {0,0}}

scanning.animation =
{
	filename = "__Megamind__/graphics/mind-controller-scanning-animation.png",
	priority = "high",
	width = 98,
	height = 130,
	line_length = 10,
	frame_count = 10,
	shift = {0,-0.5},
	animation_speed = 0.5
}

scanning.energy_source.drain = "0.01kW"
scanning.energy_usage = "0.01kW"
scanning.fixed_recipe = "mind-controller-hidden"
scanning.flags = {"placeable-neutral"}
scanning.collision_box = {{0,0}, {0,0}}
scanning.selection_box = {{0,0}, {0,0}}

emitting.animation =
{
	filename = "__Megamind__/graphics/mind-controller-emitting-animation.png",
	priority = "high",
	width = 98,
	height = 130,
	line_length = 4,
	frame_count = 4,
	shift = {0,-0.5},
	animation_speed = 0.5
}

emitting.energy_source.drain = "0.01kW"
emitting.energy_usage = "0.01kW"
emitting.fixed_recipe = "mind-controller-hidden"
emitting.flags = {"placeable-neutral"}
emitting.collision_box = {{0,0}, {0,0}}
emitting.selection_box = {{0,0}, {0,0}}

data:extend({invisible,charging,scanning,emitting})
